<?php

	function make_seed() {
		list($usec, $sec) = explode(' ', microtime());
		return (float) $sec + ((float) $usec * 100000);
	}

	// Generate 8 random character password
	function make_pass( $length ) {
		$pw = "";
		for ($i=0;$i<$length;$i++) {
			$randval = rand(97,122);
			if ($randval>=91 && $randval<=96) {
				$i--;
			} else {
				$pw = $pw . chr($randval);
			}
		}
		return $pw;
	}

	//Generate the next username by getting the last one from the .htpasswd file
	function next_user($username) {
		$number=substr($username,4,5);
		$number++;
		$username=sprintf("user%05d",($number));
		return $username;
	}

	function gregorian($Y, $M, $D) {
		$JD = 365 * $Y - floor(7 * ($Y + floor(($M + 9) / 12)) / 4) + floor(275 * $M / 9) + $D + 1721013.5+1/24;
		return $JD;
	}

?>