<?php
session_start();
require("classes/htaccess.php");
$ht = new htaccess();
$ht->setFPasswd($protecteddir . ".htpasswd");
$ht->setFHtaccess($protecteddir . ".htaccess");
if (!file_exists($protecteddir . ".htaccess")) {
	$ht->setAuthType("Basic");
	$ht->setAuthName("Montessori International Magazine");
	$ht->addLogin();
}
$added = $ht->delUser($username);

?>

<HTML>
<HEAD><TITLE>Delete User</TITLE></HEAD>
<META NAME="Generator" CONTENT="EditPlus">
<META NAME="Author" CONTENT="">
<META NAME="Keywords" CONTENT="">
<META NAME="Description" CONTENT="">
<link rel="stylesheet" type="text/css" href="../htAdmin.css">
</HEAD>
<BODY>
<?php include "header.php"?>
<?php
	if ($added) {
		printf( "User $username should be deleted.<BR>" );
	} else {
		echo "Something went wrong and the user wasn't deleted.<BR>";
	}
?>
<?php include "footer.php"?>
</BODY>
</HTML>
