<?php
	session_start();
	require("classes/htaccess.php");
	//require("classes/functions.php");
	$ht = new htaccess();
	$ht->setFPasswd($protecteddir . ".htpasswd");
	$ht->setFHtaccess($protecteddir . ".htaccess");
	if (!file_exists($protecteddir . ".htaccess")) {
		$ht->setAuthType("Basic");
		$ht->setAuthName("Montessori International Magazine");
		$ht->addLogin();
	}
	srand(make_seed());
	$users = explode("\n", $maillist);
	if ($start == "") {
		$start = 0;
	}
	$usernumber = $start;

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD><TITLE>Add multiple email addresses</TITLE></HEAD>
<META NAME="Generator" CONTENT="EditPlus">
<META NAME="Author" CONTENT="">
<META NAME="Keywords" CONTENT="">
<META NAME="Description" CONTENT="">
<link rel="stylesheet" type="text/css" href="../htAdmin.css">
</HEAD>
<BODY>
<h3>Adding <?=count($users)?> users, starting at <?=$usernumber?>:</h3><BR>
<P>
<?php
	echo "Email confirmation on: $emailConf<BR>\n";
	for ($i=0;$i<count($users);$i++) {
		list($email,$expiry) = explode(",",$users[$i]);
		$email = trim($email);
		$expiry = trim($expiry);
		if ($email != "" ) {
			if ($ht->findEmail($email)) {
				echo "$email is already a subscriber.<BR>";
			} else {
				/********************************************
				 Initialize variables
				********************************************/
				$username="";
				$password="";
				$to="";
				$subject="";
				$additional="";
				/********************************************
				 Format Username
				********************************************/
				$username=sprintf("user%05d",($usernumber));
				$usernumber++;
				/********************************************
				// Generate password
				********************************************/
				$password = make_pass(8);
				/********************************************
				 Add username and password to .htpasswd file
				********************************************/
				$added = $ht->addUser($username,$password,"",$expiry,$email);
				/********************************************
				 If added successfully, email user
				********************************************/
				if ($added) {
					echo "Added $username, $password, $expiry, $email - ";
					if ($emailConf=="Yes") {
						if (trim($email) != "") {
							$to = "$email";
							$subject = "Online Subscription Info.";
							$txt = " username: $username\n password: $password\n" . $message;
							$additional = "From: Montessori International Magazine <editor@montessori.ac.uk>";
							if (mail( $to, $subject,  $txt, $additional)) {
								echo "mail sent.<BR>";
							}
						}
					} else {
						echo "mail not sent.<BR>";
					}
				} else {
					echo "Error occured, this record has not been added:<BR>" . $username . ":" . make_pass(8) . ":" . $expiry . ":" . $email.  "<BR>";
				}
			}
		}
		echo "\n";
	}

?>
</P>
</BODY>
<?php include "header.php"?>
<?php include "footer.php"?>
</HTML>

