<?php
session_start();
require("classes/htaccess.php");
$ht = new htaccess();
$ht->setFPasswd($protecteddir . ".htpasswd");
$ht->setFHtaccess($protecteddir . ".htaccess");
if (!file_exists($protecteddir . ".htaccess")) {
	$ht->setAuthType("Basic");
	$ht->setAuthName("Montessori International Magazine");
	$ht->addLogin();
}
$userlist = $ht->sortUsers();

?>

<HTML>
<HEAD><TITLE>Sorted Userlist</TITLE></HEAD>
<META NAME="Generator" CONTENT="EditPlus">
<META NAME="Author" CONTENT="">
<META NAME="Keywords" CONTENT="">
<META NAME="Description" CONTENT="">
<link rel="stylesheet" type="text/css" href="../htAdmin.css">
</HEAD>
<BODY>
<?php include "header.php"?>
<TABLE BORDER=2 BORDERCOLOR=black>
<TR BGCOLOR=lightblue><TH>username</TH><TH>password</TH><TH>expiry date</TH><TH>email address</TH></TR>
<?php
echo $ht->getFPasswd . "<BR>";
for ($i=0;$i<count($userlist);$i++) {
	echo "<TR><TD>";
	echo $userlist[$i][0] . "&nbsp;";
	echo "</TD><TD>";
	echo $userlist[$i][1] . "&nbsp;";
	echo "</TD><TD>";
	echo $userlist[$i][2] . "&nbsp;";
	echo "</TD><TD>";
	echo $userlist[$i][3] . "&nbsp;";
	echo "</TD><TR>";
}
?>
<?php include "footer.php"?>
</BODY>
</HTML>
