<?php
session_start();
require("classes/htaccess.php");
$ht = new htaccess();
$ht->setFPasswd($protecteddir . ".htpasswd");
$ht->setFHtaccess($protecteddir . ".htaccess");
if (!file_exists($protecteddir . ".htaccess")) {
	$ht->setAuthType("Basic");
	$ht->setAuthName("Montessori International Magazine");
	$ht->addLogin();
}
if (!$ht->findEmail($email)) {
	$username=$ht->getLastUser();
	$username=next_user($username);
	$password=make_pass(8);
	$added = $ht->addUser($username,$password,$group,$expiry,$email);
} else {
	$added=false;
}
?>

<HTML>
<HEAD><TITLE>Add Email</TITLE></HEAD>
<META NAME="Generator" CONTENT="EditPlus">
<META NAME="Author" CONTENT="">
<META NAME="Keywords" CONTENT="">
<META NAME="Description" CONTENT="">
<link rel="stylesheet" type="text/css" href="../htAdmin.css">
</HEAD>
<BODY>
<?php include "header.php"?>
<?php
	if ($added) {
		if (trim($email) != "") {
			$to = "$email";
			$subject = "Online Subscription Info.";
			$message = " username: $username\n password: $password\n" . $message;
			$additional = "From: Montessori International Magazine <editor@montessori.ac.uk>";
			if ($emailConf=="Yes") {
				if (mail( $to, $subject,  $message, $additional)) {
					echo "mail sent to $to<BR>";
				}
			}
		}
		printf( "User should be added: $username, $password, $expiry, $email<BR>" );
	} else {
		echo "Something went wrong and the user wasn't added: $username, $password, $expiry, $email<BR>";
	}
?>
<?php include "footer.php"?>
</BODY>
</HTML>
